#ifndef PIHISTORIANSESSION_H
#define PIHISTORIANSESSION_H

#include "ModbusBackend.h"

class CPIHistorianSession : public CModbusBackend
{
    Q_OBJECT
public:
    CPIHistorianSession(CModbusRepository *Repo,int DevID);
    virtual ~CPIHistorianSession();

    int OpenSession(QTcpSocket *ModbusSocket);
    int CloseSession();



    virtual void RegistersDatabaseUpdated(quint16 StartAddress, quint16 Length);
    virtual void ModbusRequestException(quint8 ExceptionCode, quint8 FctCode);

signals:
    void PIHistorianSessionClosed(CPIHistorianSession *Sender);

public slots:
    void HistorianConnectionLost();


};

#endif // PIHISTORIANSESSION_H
